SDL_GetDisplayForRect(3)

NAME
SDL_GetDisplayForRect - Get the display primarily containing a rect.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_DisplayID SDL_GetDisplayForRect(const SDL_Rect *rect);

FUNCTION PARAMETERS

rect
    the rect to query.

RETURN VALUE
( SDL_DisplayID ) Returns the instance ID of the display entirely containing the rect or closest to the center of the rect on success or 0 on failure; call SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetDisplayBounds(3), •(3), SDL_GetDisplays(3)